Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class OutboundTypeParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.Named
          umontreal.iro.lecuyer.contactcenters.msk.params.CallTypeParams
              umontreal.iro.lecuyer.contactcenters.msk.params.OutboundTypeParams

    public class OutboundTypeParams

extends CallTypeParams

Defines the parameters for an outbound call type, for blend/multi-skill call center.

Field Summary
`protected DialerParams` | `dialer`
`protected MultiPeriodGenParams` | `failTime`
`protected List<ServiceTimeParams>` | `previewTimes`
`protected Double` | `previewTimesMult`
`protected double[]` | `probReach`
`protected double[]` | `probRPC`
`protected MultiPeriodGenParams` | `reachTime`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.CallTypeParams
`checkAgentsForTransfer, conferenceTimes, conferenceTimesMult, expectedWaitingTimesMult, expectedWaitingTimeThresh, patienceTime, patienceTimesMultCallBack, patienceTimesMultNoVirtualQueue, preServiceTimesNoConf, preServiceTimesNoConfMult, probAbandon, probTransfer, probTransferWait, probVirtualQueue, probVirtualQueueCallBack, serviceTimes, serviceTimesMult, serviceTimesMultCallBack, serviceTimesMultNoVirtualQueue, serviceTimesMultTransfer, transferTargets, transferTimes, transferTimesMult, virtualQueueTargetType, waitingTimeDefaultVQ, weight, weightPeriod, windowSizeVQ`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`name, properties`

Constructor Summary
`OutboundTypeParams()`

Method Summary
`DialerParams` | `getDialer()` Gets the value of the dialer property.
`MultiPeriodGenParams` | `getFailTime()` Gets the value of the failTime property.
`List<ServiceTimeParams>` | `getPreviewTimes()` Gets the value of the previewTimes property.
`double` | `getPreviewTimesMult()` Gets the value of the previewTimesMult property.
`double[]` | `getProbReach()`
`double` | `getProbReach(int idx)`
`int` | `getProbReachLength()`
`double[]` | `getProbRPC()`
`double` | `getProbRPC(int idx)`
`int` | `getProbRPCLength()`
`MultiPeriodGenParams` | `getReachTime()` Gets the value of the reachTime property.
`boolean` | `isSetDialer()`
`boolean` | `isSetFailTime()`
`boolean` | `isSetPreviewTimes()`
`boolean` | `isSetPreviewTimesMult()`
`boolean` | `isSetProbReach()`
`boolean` | `isSetProbRPC()`
`boolean` | `isSetReachTime()`
`void` | `setDialer(DialerParams value)` Sets the value of the dialer property.
`void` | `setFailTime(MultiPeriodGenParams value)` Sets the value of the failTime property.
`void` | `setPreviewTimesMult(double value)` Sets the value of the previewTimesMult property.
`void` | `setProbReach(double[] values)`
`double` | `setProbReach(int idx, double value)`
`void` | `setProbRPC(double[] values)`
`double` | `setProbRPC(int idx, double value)`
`void` | `setReachTime(MultiPeriodGenParams value)` Sets the value of the reachTime property.
`void` | `unsetPreviewTimes()`
`void` | `unsetPreviewTimesMult()`
`void` | `unsetProbReach()`
`void` | `unsetProbRPC()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.CallTypeParams
`getConferenceTimes, getConferenceTimesMult, getExpectedWaitingTimesMult, getExpectedWaitingTimesMult, getExpectedWaitingTimesMultLength, getExpectedWaitingTimeThresh, getExpectedWaitingTimeThresh, getExpectedWaitingTimeThreshLength, getPatienceTime, getPatienceTimesMultCallBack, getPatienceTimesMultCallBack, getPatienceTimesMultCallBackLength, getPatienceTimesMultNoVirtualQueue, getPatienceTimesMultNoVirtualQueue, getPatienceTimesMultNoVirtualQueueLength, getPreServiceTimesNoConf, getPreServiceTimesNoConfMult, getProbAbandon, getProbAbandon, getProbAbandonLength, getProbTransfer, getProbTransferWait, getProbVirtualQueue, getProbVirtualQueue, getProbVirtualQueueCallBack, getProbVirtualQueueCallBack, getProbVirtualQueueCallBackLength, getProbVirtualQueueLength, getServiceTimes, getServiceTimesMult, getServiceTimesMultCallBack, getServiceTimesMultNoVirtualQueue, getServiceTimesMultTransfer, getTransferTargets, getTransferTimes, getTransferTimesMult, getVirtualQueueTargetType, getWaitingTimeDefaultVQ, getWeight, getWeightPeriod, getWeightPeriod, getWeightPeriodLength, getWindowSizeVQ, isCheckAgentsForTransfer, isSetCheckAgentsForTransfer, isSetConferenceTimes, isSetConferenceTimesMult, isSetExpectedWaitingTimesMult, isSetExpectedWaitingTimeThresh, isSetPatienceTime, isSetPatienceTimesMultCallBack, isSetPatienceTimesMultNoVirtualQueue, isSetPreServiceTimesNoConf, isSetPreServiceTimesNoConfMult, isSetProbAbandon, isSetProbTransfer, isSetProbTransferWait, isSetProbVirtualQueue, isSetProbVirtualQueueCallBack, isSetServiceTimes, isSetServiceTimesMult, isSetServiceTimesMultCallBack, isSetServiceTimesMultNoVirtualQueue, isSetServiceTimesMultTransfer, isSetTransferTargets, isSetTransferTimes, isSetTransferTimesMult, isSetVirtualQueueTargetType, isSetWaitingTimeDefaultVQ, isSetWeight, isSetWeightPeriod, isSetWindowSizeVQ, setCheckAgentsForTransfer, setConferenceTimesMult, setExpectedWaitingTimesMult, setExpectedWaitingTimesMult, setExpectedWaitingTimeThresh, setExpectedWaitingTimeThresh, setPatienceTime, setPatienceTimesMultCallBack, setPatienceTimesMultCallBack, setPatienceTimesMultNoVirtualQueue, setPatienceTimesMultNoVirtualQueue, setPreServiceTimesNoConfMult, setProbAbandon, setProbAbandon, setProbTransfer, setProbTransferWait, setProbVirtualQueue, setProbVirtualQueue, setProbVirtualQueueCallBack, setProbVirtualQueueCallBack, setServiceTimesMult, setServiceTimesMultCallBack, setServiceTimesMultNoVirtualQueue, setServiceTimesMultTransfer, setTransferTimesMult, setVirtualQueueTargetType, setWaitingTimeDefaultVQ, setWeight, setWeightPeriod, setWeightPeriod, setWindowSizeVQ, unsetCheckAgentsForTransfer, unsetConferenceTimes, unsetConferenceTimesMult, unsetExpectedWaitingTimesMult, unsetExpectedWaitingTimeThresh, unsetPatienceTimesMultCallBack, unsetPatienceTimesMultNoVirtualQueue, unsetPreServiceTimesNoConf, unsetPreServiceTimesNoConfMult, unsetProbAbandon, unsetProbVirtualQueue, unsetProbVirtualQueueCallBack, unsetServiceTimes, unsetServiceTimesMult, unsetTransferTargets, unsetTransferTimes, unsetTransferTimesMult, unsetVirtualQueueTargetType, unsetWaitingTimeDefaultVQ, unsetWeight, unsetWeightPeriod, unsetWindowSizeVQ`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`getName, getProperties, isSetName, isSetProperties, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### probReach

    protected double[] probReach

### reachTime

    protected MultiPeriodGenParams reachTime

### failTime

    protected MultiPeriodGenParams failTime

### probRPC

    protected double[] probRPC

### previewTimes

    protected List<ServiceTimeParams> previewTimes

### dialer

    protected DialerParams dialer

### previewTimesMult

    protected Double previewTimesMult

Constructor Detail

### OutboundTypeParams

    public OutboundTypeParams()

Method Detail

### getProbReach

    public double[] getProbReach()

  Returns:
    array of `Double`

### getProbReach

    public double getProbReach(int idx)

  Returns:
    one of `Double`

### getProbReachLength

    public int getProbReachLength()

### setProbReach

    public void setProbReach(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setProbReach

    public double setProbReach(int idx,
                               double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetProbReach

    public boolean isSetProbReach()

### unsetProbReach

    public void unsetProbReach()

### getReachTime

    public MultiPeriodGenParams getReachTime()

  Gets the value of the reachTime property.

  Returns:
    possible object is `MultiPeriodGenParams`

### setReachTime

    public void setReachTime(MultiPeriodGenParams value)

  Sets the value of the reachTime property.

  Parameters:
    `value` - allowed object is `MultiPeriodGenParams`

### isSetReachTime

    public boolean isSetReachTime()

### getFailTime

    public MultiPeriodGenParams getFailTime()

  Gets the value of the failTime property.

  Returns:
    possible object is `MultiPeriodGenParams`

### setFailTime

    public void setFailTime(MultiPeriodGenParams value)

  Sets the value of the failTime property.

  Parameters:
    `value` - allowed object is `MultiPeriodGenParams`

### isSetFailTime

    public boolean isSetFailTime()

### getProbRPC

    public double[] getProbRPC()

  Returns:
    array of `Double`

### getProbRPC

    public double getProbRPC(int idx)

  Returns:
    one of `Double`

### getProbRPCLength

    public int getProbRPCLength()

### setProbRPC

    public void setProbRPC(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setProbRPC

    public double setProbRPC(int idx,
                             double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetProbRPC

    public boolean isSetProbRPC()

### unsetProbRPC

    public void unsetProbRPC()

### getPreviewTimes

    public List<ServiceTimeParams> getPreviewTimes()

  Gets the value of the previewTimes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the previewTimes property.

  For example, to add a new item, do as follows:

          getPreviewTimes().add(newItem);

  Objects of the following type(s) are allowed in the list `ServiceTimeParams`

### isSetPreviewTimes

    public boolean isSetPreviewTimes()

### unsetPreviewTimes

    public void unsetPreviewTimes()

### getDialer

    public DialerParams getDialer()

  Gets the value of the dialer property.

  Returns:
    possible object is `DialerParams`

### setDialer

    public void setDialer(DialerParams value)

  Sets the value of the dialer property.

  Parameters:
    `value` - allowed object is `DialerParams`

### isSetDialer

    public boolean isSetDialer()

### getPreviewTimesMult

    public double getPreviewTimesMult()

  Gets the value of the previewTimesMult property.

  Returns:
    possible object is `Double`

### setPreviewTimesMult

    public void setPreviewTimesMult(double value)

  Sets the value of the previewTimesMult property.

  Parameters:
    `value` - allowed object is `Double`

### isSetPreviewTimesMult

    public boolean isSetPreviewTimesMult()

### unsetPreviewTimesMult

    public void unsetPreviewTimesMult()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.